#
# spec file for package python-slapdsock
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-slapdsock
Version:        0.5.2
Release:        1.2
Summary:        Python module for slapd-sock listeners
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://www.stroeder.com/slapdsockd.html
Source:         https://files.pythonhosted.org/packages/source/s/slapdsock/slapdsock-%{version}.tar.gz
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-ldap
BuildRequires: python-pyasn1-modules
Requires:       python-ldap
Requires:       python-pyasn1-modules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Pure Python module for implementing slapd-sock listeners for OpenLDAP.

%prep
%setup -q -n slapdsock-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.md examples

%changelog
* Mon Mar 20 2017 michael@stroeder.com
- update to upstream release 0.5.2
  with fix parsing MODIFYRequest
* Fri Nov 11 2016 michael@stroeder.com
- update to upstream release 0.5.1
  with regression fix for python-ldap 2.4.26+
* Sat Jul 16 2016 michael@stroeder.com
- initial import of upstream release 0.5.0
